<?php

class Book {

	private $uri;
	private $name = array();

	public function __construct($uri) {
		$this->uri = $uri;
	}

	public function getURI() {
		return $this->uri;
	}

	public function setName($name, $alternative=false) {
		if (!$alternative) $this->name = array($name);
		else $this->name[] = $name;
	}

	public function getNames() {
		return $this->name;
	}

	public function getName() {
		$conc = $this->name[0];
		for ($i=1; $i<count($this->name); $i++)
			$conc .= " / " . $this->name[$i];
		return $conc;
	}

	public function setAuthor($author) {
		$this->author = $author;
	}

	public function getAuthor() {
		return $this->author;
	}

}
?>
