<?php
require_once(__DIR__.'/criteria.class.php');
require_once(__DIR__.'/author.class.php');

interface Wrapper {
	public function __construct($endpoint);
	public function getAuthors(Criteria $crit);
	public function getBooks(Criteria $crit, $type);
	public function getNumBooksAuthor($author);
	public function getBooksAuthor($author);
	public function getAuthorYears($author);
	public function getAuthorName($author);
	public function getDirectEquivalent($uris);
	public function exists($uri);
	public function getEquivalents($author);
}
?>
