<?php
if (isset($_GET["num_books"])) {
	require_once(__DIR__.'/classes/author.class.php');
	$author = new Author($_GET["num_books"]);
	echo $author->getNumBooks();
} elseif (isset($_GET["equivalents"])) {
	session_start();
	require_once(__DIR__.'/classes/author.class.php');
	require_once(__DIR__.'/classes/endpoint_manager.class.php');
	$author = new Author($_GET['equivalents']);

	if (isset($_SESSION['equivalents']) && array_search($author->getURI(), array_map(function ($a) { return $a[0]; }, json_decode($_SESSION['equivalents']))) !== false) {
		$eq = json_decode($_SESSION['equivalents']);
	} else {
		$eq[] = array($author->getURI(), Endpoint_Manager::getEndpoint($author->getURI(), false)->getName());
		$equiv = $author->getEquivalents();
		foreach ($equiv as $sa) {
			$eq[] = array($sa, Endpoint_Manager::getEndpoint($sa, false)->getName());
		}
		$_SESSION['equivalents'] = json_encode($eq);
	}
	foreach ($eq as $sa) {
		if ($sa[0] != $author->getURI()) {
?>
			<li><a href="?uri=<?= $sa[0]; ?>"><?= $sa[1]; ?></a></li>
<?php
		} else {
?>
			<li class="active"><a href="#" onclick="return false;"><?= $sa[1]; ?></a></li>
<?php
		}
	}
} elseif (isset($_GET['addbook'])) {
	require_once(__DIR__.'/classes/endpoint_manager.class.php');
	echo Endpoint_Manager::local()->insertBook($_GET['addbook'], $_GET['author'], $_GET['type']);
}
?>
